import request from '@/utils/request'

// 表单模板列表
export const pageList = (query) => {
  return request({
    url: '/system/agreementInfo/pageList',
    method: 'get',
    params: query
  })
}

// 保存表单模板数据
export const saveAndEdit = (data) => {
  return request({
    url: '/system/agreementInfo/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// ID获取模板信息
export const selectById = (id) => {
  return request({
    url: '/system/agreementInfo/selectById',
    method: 'get',
    params: {id:id}
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/system/agreementInfo/deleteById',
    method: 'delete',
    params: {id:id}
  })
}
